Summary:	Game data for Glest
Name:		glest-data
Version:	3.2.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.glest.org/
Source0:	http://downloads.sourceforge.net/glest/glest_data_%{version}.zip
BuildRequires:	recode
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glest is a 3d OpenGL real time strategy game. It takes place in a 
context which could be compared to that of the pre-renaissance 
Europe, with the licence that magic forces exist in the environment 
and can be controlled.

This package contains the architecture independent data files needed
for playing the game.

%prep
%setup -q -n glest_game

# fix endings
find docs -type f | xargs sed -i -e "s/\r//g"
# UTF-8
recode ISO-8859-1..UTF-8 docs/*.txt
mv data/lang/espa?ol.lng data/lang/espanol.lng

%build
# nothing to do here

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesdatadir}/glest
cp -fr * %{buildroot}%{_gamesdatadir}/glest/
rm -fr  %{buildroot}%{_gamesdatadir}/glest/docs
rm -f %{buildroot}%{_gamesdatadir}/glest/glest.ini

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc docs/*
%{_gamesdatadir}/glest/


%changelog
* Tue Feb 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2.1-1mdv2009.1
+ Revision: 342124
- update to new release 3.2.1

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-3mdv2009.0
+ Revision: 266880
- rebuild early 2009.0 package (before pixel changes)

* Fri May 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-2mdv2009.0
+ Revision: 199990
- fix wrong filename of spanish translation file (#40491)
- get rid of non UTF-8 chars

* Mon Mar 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 183192
- new version

* Sat Mar 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.1-1mdv2008.1
+ Revision: 177055
- new version

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-3mdv2008.1
+ Revision: 139371
- remove bad ini file

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-2mdv2008.1
+ Revision: 139350
- oops
- simplify install to avoid missing files

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 139344
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 125770
- kill re-definition of %%buildroot on Pixel's request


* Fri Apr 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-1mdk
- new release

* Wed Mar 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.0-0.rc2.1mdk
- fix version/release for handling updates (2.0.0rc-1mdk -> 2.0.0-0.rc2.1mdk)
- cosmetics
- from Udo Rader <udo.rader@bestsolution.at> :
	o initial release on Mandriva

